ionic4 有个叫 config.xml的文件

在这里加入几行就可以指定版本

<preference name="android-minSdkVersion" value="19" />
    <preference name="android-targetSdkVersion" value="26" />
    <preference name="android-maxSdkVersion" value="27" />

有什么作用的话,就是可以暂时规避android的安全设置。

最新的android版本对webview的http请求要求是https,但是https有时候设置起来不太方便。

这时候除了反代之外,其实可以将android的目标版本降低,这样就可以暂时规避,但为了数据安全考虑,建议尽早上https。

参考文档: https://cordova.apache.org/docs/en/latest/config_ref/

发表评论